﻿#pragma once

/*!
 * @note モンスターの攻撃効果 / New monster blow effects
 */
typedef enum rbe_type {
    RBE_NONE = 0,
    RBE_HURT = 1, /*!< モンスターの攻撃効果: 攻撃する*/
    RBE_POISON = 2, /*!< モンスターの攻撃効果: 毒をくらわす*/
    RBE_UN_BONUS = 3, /*!< モンスターの攻撃効果: 劣化させる*/
    RBE_UN_POWER = 4, /*!< モンスターの攻撃効果: 充填魔力を吸収する*/
    RBE_EAT_GOLD = 5, /*!< モンスターの攻撃効果: 金を盗む*/
    RBE_EAT_ITEM = 6, /*!< モンスターの攻撃効果: アイテムを盗む*/
    RBE_EAT_FOOD = 7, /*!< モンスターの攻撃効果: あなたの食糧を食べる*/
    RBE_EAT_LITE = 8, /*!< モンスターの攻撃効果: 明かりを吸収する*/
    RBE_ACID = 9, /*!< モンスターの攻撃効果: 酸を飛ばす*/
    RBE_ELEC = 10, /*!< モンスターの攻撃効果: 感電させる*/
    RBE_FIRE = 11, /*!< モンスターの攻撃効果: 燃やす*/
    RBE_COLD = 12, /*!< モンスターの攻撃効果: 凍らせる*/
    RBE_BLIND = 13, /*!< モンスターの攻撃効果: 盲目にする*/
    RBE_CONFUSE = 14, /*!< モンスターの攻撃効果: 混乱させる*/
    RBE_TERRIFY = 15, /*!< モンスターの攻撃効果: 恐怖させる*/
    RBE_PARALYZE = 16, /*!< モンスターの攻撃効果: 麻痺させる*/
    RBE_LOSE_STR = 17, /*!< モンスターの攻撃効果: 腕力を減少させる*/
    RBE_LOSE_INT = 18, /*!< モンスターの攻撃効果: 知能を減少させる*/
    RBE_LOSE_WIS = 19, /*!< モンスターの攻撃効果: 賢さを減少させる*/
    RBE_LOSE_DEX = 20, /*!< モンスターの攻撃効果: 器用さを減少させる*/
    RBE_LOSE_CON = 21, /*!< モンスターの攻撃効果: 耐久力を減少させる*/
    RBE_LOSE_CHR = 22, /*!< モンスターの攻撃効果: 魅力を減少させる*/
    RBE_LOSE_ALL = 23, /*!< モンスターの攻撃効果: 全ステータスを減少させる*/
    RBE_SHATTER = 24, /*!< モンスターの攻撃効果: 粉砕する*/
    RBE_EXP_10 = 25, /*!< モンスターの攻撃効果: 経験値を減少(10d6+)させる*/
    RBE_EXP_20 = 26, /*!< モンスターの攻撃効果: 経験値を減少(20d6+)させる*/
    RBE_EXP_40 = 27, /*!< モンスターの攻撃効果: 経験値を減少(40d6+)させる*/
    RBE_EXP_80 = 28, /*!< モンスターの攻撃効果: 経験値を減少(80d6+)させる*/
    RBE_DISEASE = 29, /*!< モンスターの攻撃効果: 病気にする*/
    RBE_TIME = 30, /*!< モンスターの攻撃効果: 時間を逆戻りさせる*/
    RBE_DR_LIFE = 31, /*!< モンスターの攻撃効果: 生命力を吸収する*/
    RBE_DR_MANA = 32, /*!< モンスターの攻撃効果: 魔力を奪う*/
    RBE_SUPERHURT = 33, /*!< モンスターの攻撃効果: 強力に攻撃する*/
    RBE_INERTIA = 34, /*!< モンスターの攻撃効果: 減速させる*/
    RBE_STUN = 35, /*!< モンスターの攻撃効果: 朦朧とさせる*/
} rbe_type;
